Loading...
Searching...
No Matches
libcamera::SwIspStats Struct Reference

Struct that holds the statistics for the Software ISP. More...

`#include <swisp_stats.h>`

Collaboration diagram for libcamera::SwIspStats:
[legend]

## Public Types

using | Histogram = std::array<uint32_t, kYHistogramSize>
| Type of the histogram.

## Public Attributes

bool | valid
| True if the statistics buffer contains valid data, false if no statistics were generated for this frame.
RGB< uint64_t > | sum_
| Sums of colour channels of all the sampled pixels.
Histogram | yHistogram
| A histogram of luminance values of all the sampled pixels.

## Static Public Attributes

static constexpr unsigned int | kYHistogramSize = 64
| Number of bins in the yHistogram.

## Detailed Description

Struct that holds the statistics for the Software ISP.

The struct value types are large enough to not overflow. Should they still overflow for some reason, no check is performed and they wrap around.

The documentation for this struct was generated from the following file:

- include/libcamera/internal/software_isp/swisp_stats.h